Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

package.h
Go to the documentation of this file.
1 /*
2 * Rivest's Package Tranform
3 * (C) 2009 Jack Lloyd
4 *
5 * Botan is released under the Simplified BSD License (see license.txt)
6 */
7
8 #ifndef BOTAN_AONT_PACKAGE_TRANSFORM_H_
9 #define BOTAN_AONT_PACKAGE_TRANSFORM_H_
10
11 #include <botan/block_cipher.h>
12
13 namespace Botan {
14
15 class RandomNumberGenerator;
16
17 /**
18 * Rivest's Package Tranform
19 * @param rng the random number generator to use
20 * @param cipher the block cipher to use (aont_package takes ownership)
21 * @param input the input data buffer
22 * @param input_len the length of the input data in bytes
23 * @param output the output data buffer (must be at least
24 * input_len + cipher->BLOCK_SIZE bytes long)
25 */
26 BOTAN_DEPRECATED("Possibly broken, avoid")
27 void BOTAN_PUBLIC_API(2,0)
28 aont_package(RandomNumberGenerator& rng,
29 BlockCipher* cipher,
30 const uint8_t input[], size_t input_len,
31 uint8_t output[]);
32
33 /**
34 * Rivest's Package Tranform (Inversion)
35 * @param cipher the block cipher to use (aont_package takes ownership)
36 * @param input the input data buffer
37 * @param input_len the length of the input data in bytes
38 * @param output the output data buffer (must be at least
39 * input_len - cipher->BLOCK_SIZE bytes long)
40 */
41 BOTAN_DEPRECATED("Possibly broken, avoid")
42 void BOTAN_PUBLIC_API(2,0)
43 aont_unpackage(BlockCipher* cipher,
44 const uint8_t input[], size_t input_len,
45 uint8_t output[]);
46
47 }
48
49 #endif
BOTAN_PUBLIC_API
#define BOTAN_PUBLIC_API(maj, min)
Definition: compiler.h:31
Botan
Definition: alg_id.cpp:13
Botan::aont_unpackage
void aont_unpackage(BlockCipher *cipher, const uint8_t input[], size_t input_len, uint8_t output[])
Definition: package.cpp:73
Botan::aont_package
void aont_package(RandomNumberGenerator &rng, BlockCipher *cipher, const uint8_t input[], size_t input_len, uint8_t output[])
Definition: package.cpp:17